---
schema_version: "1"
id: d70c67f550affbedb76963bb575a8fda672f8f9568834b0b2ebf752c318ccf08
title: POST /interaction/v1/interactions/publishAsync/{id}?versionNumber={versionNumber}
collection: developer
version: current
locale: en-us
portal_url: https://docs.salesforce.com/developer/current/en-us/marketing-cloud/guides/mc-apis/postPublishInteractionById.md
canonical_url: https://developer.salesforce.com/docs/marketing/marketing-cloud/references/mc_rest_interaction/postPublishInteractionById.html
source_site: developer.salesforce.com
content_type: documentation
content_hash: f6f626cdff0e9beaf1b55812f1241a8b02c77e83629117b465f106238b8cc089
products:
  - Marketing Cloud Engagement APIs and Programmatic Languages
  - Marketing Cloud
---
# POST /interaction/v1/interactions/publishAsync/{id}?versionNumber={versionNumber}

## Overview

Publishes a journey version asynchronously. To call this resource, assign your API Integration the Automation | Interactions | Read scope.

### URL Parameters

<!--complex table-->

| Name              | Type    |              | Description                                                              |
| ----------------- | ------- | ------------ | ------------------------------------------------------------------------ |
| **id**            | string  | **Required** | The ID of the journey to publish expressed in the form of a GUID (UUID). |
| **versionNumber** | integer | **Required** | Version number of the journey to publish                                 |

### Usage

**Example Request**

This request **asynchronously** publishes the journey specified by the ID request parameter. Only the versionNumber specified in the versionNumber QUERY Parameter will be published. You must provide a valid versionNumber.

```js
Host: https://YOUR_SUBDOMAIN.rest.marketingcloudapis.com
POST /interaction/v1/interactions/publishAsync/{id}?versionNumber={versionNumber}
Content-Type: application/json
Authorization: Bearer YOUR_ACCESS_TOKEN
```

**Example Response**

```js
HTTP/1.1 200
{
    "statusId": "bd93502a-773c-4588-81d9-d3c7ca0cc10a"
}
```

**Example Error Response**

```js
HTTP/1.1 500
{
    "documentation": "",
    "errorcode": 500,
    "message": "Internal Server Error"
}
```
